%global project_name QtPBFImagePlugin

%global __provides_exclude_from ^%{_qt5_plugindir}/.*\\.so$

Name:           qt5-qtpbfimageformat
Version:        1.2
Release:        3%{?dist}
Summary:        Qt image plugin for displaying Mapbox vector tiles

License:        GPLv3
URL:            https://github.com/tumic0/QtPBFImagePlugin/

Source0:        https://github.com/tumic0/%{project_name}/archive/%{version}/%{project_name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  qt5-qtbase-devel
BuildRequires:  protobuf-lite-devel

%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}


%description
QtPBFImagePlugin is a Qt image plugin that enables applications capable
of displaying raster MBTiles maps or raster XYZ online maps to also display
PBF(MVT) vector tiles without (almost, see usage) any application modifications.

Standard Mapbox GL Styles are used for styling the maps. Most relevant style
features used by Maputnik are supported. The style is loaded from the
$AppDataLocation/style/style.json file on plugin load. If the style uses
a sprite, the sprite JSON file must be named sprite.json and the sprite image
sprite.png and both files must be placed in the same directory as the style
itself. A default fallback style (OSM-Liberty) for OpenMapTiles is part
of the plugin.

"Plain" PBF files as well as gzip compressed files (as used in MBTiles)
are supported by the plugin.


%prep
%autosetup -n %{project_name}-%{version}


%build
%{qmake_qt5} pbfplugin.pro
%make_build


%install
make install INSTALL_ROOT=%{buildroot}


%files
%license LICENSE
%doc README.md
%{_qt5_plugindir}/imageformats/libpbf.so


%changelog
* Mon Jan 21 2019 Nikola Forró <nforro@redhat.com> - 1.2-3
- Rebuild against updated qt5-qtbase

* Tue Jan 08 2019 Nikola Forró <nforro@redhat.com> - 1.2-2
- Improve package description
- Use %%autosetup and %%make_build macros
- Explicitly require specific Qt 5 version

* Fri Jan 04 2019 Nikola Forró <nforro@redhat.com> - 1.2-1
- Initial package
